#! /bin/sh
test ! -t 0 && exit
cd `dirname $0`
RUN_DIR=`pwd`

SRCDIR="fltk_projects.orig"
DSTDIR="fltk_projects"

LIST=""
for suffix in cxx cpp h; do
  find ${DSTDIR} -type f -name "*.${suffix}" | while read i; do
    j=${i#${DSTDIR}/}
    if [ -f "${SRCDIR}/${j}" ]; then
      a=`md5sum "${SRCDIR}/${j}" | cut -d ' ' -f 1`
      b=`md5sum "${DSTDIR}/${j}" | cut -d ' ' -f 1`
      if [ "$a" != "$b" ]; then
        n=`basename $j`
        diff -uN "${SRCDIR}/${j}" "${DSTDIR}/${j}" > "${n}.patch"
      fi
    else
      echo "[Warning] $j not found."
    fi
  done
done

# There isn't "mnttool_save.cxx" in "fltk_projects.orig/mnttool_save", patch it separately
pdir="mnttool_save"
diff -uN "${SRCDIR}/${pdir}" "${DSTDIR}/${pdir}" > "${pdir}.patch"

# Patch "translations" searately
pdir="translations"
diff -uN "${SRCDIR}/${pdir}" "${DSTDIR}/${pdir}" > "${pdir}.patch"
